## org.eclipse.datatools.connectivity.ui.wizards
Class ExtensibleNewConnectionProfileWizard

    java.lang.Object
      BaseWizard
          org.eclipse.datatools.connectivity.ui.wizards.NewConnectionProfileWizard
              org.eclipse.datatools.connectivity.ui.wizards.ExtensibleNewConnectionProfileWizard

All Implemented Interfaces:
  ICPWizard

    public class ExtensibleNewConnectionProfileWizard

extends NewConnectionProfileWizard

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.datatools.connectivity.ui.wizards.NewConnectionProfileWizard
`NewConnectionProfileWizard.IFinishTask`

Constructor Summary
`ExtensibleNewConnectionProfileWizard(ExtensibleProfileDetailsWizardPage detailsWizardPage)`

Method Summary
`void` `addCustomPages()` Clients needs to add their customized pages here
`boolean` `canFinish()`
`void` `createPageControls(Composite pageContainer)`
`NewConnectionProfileWizardPage` `getProfilePage()`
`java.util.Properties` `getProfileProperties()` Clients need provide implementation to get extra profile properties

Methods inherited from class org.eclipse.datatools.connectivity.ui.wizards.NewConnectionProfileWizard
`addPages, delegatesTask, getContext, getContextChangeMask, getParentProfile, getProfileDescription, getProfileIsAutoConnect, getProfileName, getProfileProviderID, getSearchExpression, getSummaryData, init, initProviderID, isFinished, isProfileNamePageSkippable, performFinish, setParentProfile, setProfileDescription, setProfileName, setProfileNameAndDescription, setSkipProfileNamePage`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtensibleNewConnectionProfileWizard

    public ExtensibleNewConnectionProfileWizard(ExtensibleProfileDetailsWizardPage detailsWizardPage)

Method Detail

### createPageControls

    public void createPageControls(Composite pageContainer)

  Overrides:
    `createPageControls` in class `NewConnectionProfileWizard`

### addCustomPages

    public void addCustomPages()

  Description copied from class: `NewConnectionProfileWizard`
  Clients needs to add their customized pages here

  Specified by:
    `addCustomPages` in class `NewConnectionProfileWizard`

### getProfileProperties

    public java.util.Properties getProfileProperties()

  Description copied from class: `NewConnectionProfileWizard`
  Clients need provide implementation to get extra profile properties

  Specified by:
    `getProfileProperties` in class `NewConnectionProfileWizard`
  Returns:

### getProfilePage

    public NewConnectionProfileWizardPage getProfilePage()

  Overrides:
    `getProfilePage` in class `NewConnectionProfileWizard`

### canFinish

    public boolean canFinish()

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.